<?php

namespace app\admin\controller\task;

use app\common\controller\Backend;
use fast\Tree;

/**
 * 任务管理
 *
 * @icon fa fa-circle-o
 */
class Task extends Backend
{

    /**
     * Task模型对象
     * @var \app\admin\model\Task
     */
    protected $model = null;

    public function _initialize()
    {
        parent::_initialize();
        $this->model = new \app\admin\model\Task;
        $this->view->assign("statusList", $this->model->getStatusList());
    }



    /**
     * 默认生成的控制器所继承的父类中有index/add/edit/del/multi五个基础方法、destroy/restore/recyclebin三个回收站方法
     * 因此在当前控制器中可不用编写增删改查的代码,除非需要自己控制这部分逻辑
     * 需要将application/admin/library/traits/Backend.php中对应的方法复制到当前控制器,然后进行修改
     */

    public function detail(){
        if ($this->request->isAjax()) {
            if (!$this->auth->isSuperAdmin()) {
                $this->error(__('Access is allowed only to the super management group'));
            }
            $this->model = model('AuthRule');
            // 必须将结果集转换为数组
            $ruleList = \think\Db::name("task_steps")->order('weigh DESC,id ASC')->select();
            foreach ($ruleList as $k => &$v) {
                $v['name'] = __($v['name']);
            }
            unset($v);
            Tree::instance()->init($ruleList)->icon = ['&nbsp;&nbsp;&nbsp;&nbsp;', '&nbsp;&nbsp;&nbsp;&nbsp;', '&nbsp;&nbsp;&nbsp;&nbsp;'];
            $this->rulelist = Tree::instance()->getTreeList(Tree::instance()->getTreeArray(0), 'name');
            $list = $this->rulelist;
            $total = count($this->rulelist);
            $result = array("total" => $total, "rows" => $list);
            return json($result);
        }
        return $this->view->fetch();
    }
}
